MV(1)

BEZEICHNUNG
mv - Dateien verschieben oder umbenennen

ÜBERSICHT
mv [OPTION]… [-T] QUELLE ZIEL
mv [OPTION]… QUELLE… VERZEICHNIS
mv [OPTION]… -t VERZEICHNIS QUELLE…

BESCHREIBUNG

Umbenennen von QUELLE in ZIEL oder QUELLE(en) ins VERZEICHNIS verschieben.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--backup[=STEUERUNG]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

--debug
    Erklären, wie eine Datei kopiert wird. Impliziert -v

--exchange
    Quelle und Ziel austauschen

-f, --force
    Vor dem Überschreiben nicht nachfragen

-i, --interactive
    Vor dem Überschreiben nachfragen

-n, --no-clobber
    Vorhandene Dateien nicht überschreiben

Wenn mehr als eine der Optionen -i, -f oder -n angeben wurde, gilt nur die letzte.

--no-copy
    Nicht kopieren, falls Umbenennen fehlschlägt

--strip-trailing-slashes
    Schrägstriche am Ende jedes QUELLE‐Arguments entfernen

-S, --suffix=ENDUNG
    überschreibt die übliche Endung für Sicherungskopien.

-t, --target-directory=VERZEICHNIS
    Alle QUELLEn ins VERZEICHNIS verschieben

-T, --no-target-directory
    ZIEL als normale Datei behandeln

--update[=AKTUALISIERUNG]
    steuert, welche vorhandenen Dateien aktualisiert werden; AKTUALISIERUNG={all,none,none-fail,older(default)}

-u  ist gleichbedeutend mit --update[=older]. Siehe unten

-v, --verbose
    Durchgeführte Tätigkeiten erklären

-Z, --context
    Den SELinux-Sicherheitskontext der Zieldatei auf den vorgegebenen Typ setzen

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Die angegebene AKTUALISIERUNG steuert, welche im Ziel vorhandenen Dateien ersetzt werden. »all« ist die Standardaktion, wenn keine --update-Option angegeben ist, und führt dazu, dass alle im Ziel vorhandenen Dateien ersetzt werden. »none« ist wie die Option --no-clobber, indem keine Dateien im Ziel ersetzt werden und übersprungene Dateien keinen Fehler verursachen. »none-fail« stellt auch sicher, dass keine Dateien im Ziel ersetzt werden, aber alle übersprungenen Dateien diagnostiziert werden und einen Fehler verursachen. »older« ist die Standardaktion, wenn --update angegeben ist, und führt dazu, dass Dateien ersetzt werden, sofern diese älter sind als die entsprechende Quelldatei.

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    erstellt niemals Sicherheitskopien (selbst wenn --backup angegeben wurde).

numbered, t
    erstellt nummerierte Sicherheitskopien.

existing, nil
    erstellt nummerierte (»numbered«) Sicherheitskopien, wenn solche existieren, sonst einfache (»simple«).

simple, never
    erstellt immer einfache Sicherheitskopien.

AUTOR
Geschrieben von Mike Parker, David MacKenzie und Jim Meyering.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: https://www.gnu.org/software/coreutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
rename(2)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/mv>
oder lokal verfügbar mit: info '(coreutils) mv invocation'

Paketiert durch Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer https://gnu.org/licenses/gpl.html
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).